Config::Model::Backend::Dpkg::Copyright(3pm)

NAME
Config::Model::Backend::Dpkg::Copyright - Read and write Debian Dpkg License information

SYNOPSIS
No synopsis. This class is dedicated to configuration class "Dpkg::Copyright"

DESCRIPTION
This module is used directly by Config::Model to read or write the content of a configuration tree written with Debian "Dep-5" syntax in "Config::Model" configuration tree. This syntax is used to specify license information in Debian source package format.

CONSTRUCTOR

  new
Parameters: "node => $node_obj, name => 'Dpkg::Copyright'"

Inherited from Config::Model::Backend::Any. The constructor will be called by Config::Model::AutoRead.

  read
Read data from copyright file and return 1.

  write
Write data to copyright file and return 1.

AUTHOR
Dominique Dumont, (ddumont at cpan dot org)

SEE ALSO
Config::Model, Config::Model::AutoRead, Config::Model::Backend::Any,